Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jini.rio.resources.client
Class OpStringFilter

    java.lang.Object
      org.jini.rio.resources.client.OpStringFilter

All Implemented Interfaces:
  ServiceItemFilter

    public class OpStringFilter

extends Object
implements ServiceItemFilter

Constructor Summary
`OpStringFilter(String opStringName)` Create an OpStringFilter

Method Summary
`boolean` | `check(ServiceItem item)` If the input ServiceItem has an `OperationalStringEntry` and the name matches the `opStringName` property of this class, then return `true` Additionally, if the input ServiceItem does not have the `OperationalStringEntry` in it's attribute set, return `true`.
`static OperationalStringEntry` | `getOperationalStringEntry(Entry[] attrs)` Gets first OperationalStringEntry from attribute array
`static boolean` | `matches(Entry[] attrs, String opStringName)` Determine if the attribute collecton contains an OperatonalStringEntry which matches the opStrngName

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OpStringFilter

    public OpStringFilter(String opStringName)

  Create an OpStringFilter

  Parameters:
    `opStringName` - The name of the OperationalString to filter

Method Detail

### check

    public boolean check(ServiceItem item)

  If the input ServiceItem has an `OperationalStringEntry` and the name matches the `opStringName` property of this class, then return `true` Additionally, if the input ServiceItem does not have the `OperationalStringEntry` in it's attribute set, return `true`. This supports intended semantics to discover external services which may match the `ServiceTemplate`

  Specified by:
    `check` in interface `ServiceItemFilter`
  See Also:
    `ServiceItemFilter.check(net.jini.core.lookup.ServiceItem)`

### matches

    public static boolean matches(Entry[] attrs,
                                  String opStringName)

  Determine if the attribute collecton contains an OperatonalStringEntry which matches the opStrngName

  Parameters:
    `attrs` - Array of Entry objects
    `opStringName` - The name to match
  Returns:
    If an OperationalStringEntry is found in the collection and it's name matches the`opStringName` parameter, return `true`, otherwise, return `false`

### getOperationalStringEntry

    public static OperationalStringEntry getOperationalStringEntry(Entry[] attrs)

  Gets first OperationalStringEntry from attribute array

  Parameters:
    `attrs` - Array of Entry objects
  Returns:
    OperationalStringEntry

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Project Rio.